Status: Resolved Priority: Must have
Author: Francois Suter Category: Backend User Interface
Created: 2011-11-11 Assigned To: Francois Suter
Updated: 2012-02-07 Due date:
TYPO3 Version: 4.6
PHP Version: 5.3
Complexity: medium
Is Regression:
Sprint Focus:
Subject: Live search does not implement search properties
Description

With #26829 new TCA properties were added to improve the efficiency of the backend search. However these properties were not
applied to the live search, hence both searches produce different results, which is not the expected behavior.

Furthermore the live search must load the full TCA of any table it searches in (as necessary) in order to be able to find anything at all
for tables for which the full TCA is not yet loaded (see #31760).

Related issues:
related to Core - Task # 26829: Improve Backend search Closed 2011-05-16
related to Core - Bug # 31760: Live search does not find all tables Resolved 2011-11-11
related to Core - Bug # 33700: Invalid behavior of search for integer in Back... Resolved 2012-02-06

Associated revisions
Revision cf878c15 - 2012-02-07 08:21 - Francois Suter

[BUGFIX] Live search must implement search properties

Implement the new TCA properties introduced in TYPO3 4.5 (#26829)
in the live search, so that it produces the same results as the
traditional BE search.

Change-Id: I3a297f2b9c02bc4458f6b0e5af8bd1588f3fcae3
Fixes: #31761
Releases: 4.7, 4.6
Reviewed-on: http://review.typo3.org/8750
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Tolleiv Nietsch
Tested-by: Tolleiv Nietsch

Revision 569f7f5f - 2012-02-07 09:31 - Francois Suter

[BUGFIX] Live search must implement search properties

Implement the new TCA properties introduced in TYPO3 4.5 (#26829)
in the live search, so that it produces the same results as the
traditional BE search.

Change-Id: I3a297f2b9c02bc4458f6b0e5af8bd1588f3fcae3
Fixes: #31761
Releases: 4.7, 4.6
Reviewed-on: http://review.typo3.org/8882
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers

History
#1 - 2011-11-22 15:15 - Xavier Perseguers
- Target version changed from 4.6.1 to 4.6.2

#2 - 2012-01-10 14:03 - Stefan Neufeind

I think this is related to what I experience with 4.6.3 (and tt_news 3.1.0). We added

$TCA['tt_news']['ctrl']['searchFields'] = 'title';

to typo3conf/extTables.php and from there on it was possible to search inside the titles of a news-entry using the search-functionality below a page.
(Using the introduction-package you may search for "t3uxw".)
However the live search/quick search still doesn't contain those tt_news-entries.

Funny enough: When clicking the "Show all"-button below the live-search you get them ... since then the normal search-functionality is used.

#3 - 2012-01-10 14:13 - Francois Suter

Yes exactly.

I still mean to work on this some day, but it's not my top priority for now. Of course anyone should feel free to pick it up ;-)

#4 - 2012-01-28 17:16 - Francois Suter
- Target version changed from 4.6.2 to 4.6.5

#5 - 2012-01-28 17:16 - Francois Suter
- Complexity changed from easy to medium

#6 - 2012-01-28 17:28 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8750

#7 - 2012-02-06 10:29 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8750

#8 - 2012-02-07 08:22 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-6 has been pushed to the review server.
It is available at http://review.typo3.org/8882

#9 - 2012-02-07 09:32 - Xavier Perseguers
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
